import * as i0 from '@angular/core';
import { InjectionToken, PLATFORM_ID, Injectable, Inject, EventEmitter, Component, ViewChild, Input, Output, NgModule } from '@angular/core';
import * as i2 from '@angular/common';
import { isPlatformServer, CommonModule } from '@angular/common';
import { CONSTANTS, processParams, imgStyles, processReactNode } from 'cloudimage-responsive-utils';
import { fromEvent } from 'rxjs';
import { debounceTime } from 'rxjs/operators';
import * as i3 from 'ng-lazyload-image';
import { LazyLoadImageModule } from 'ng-lazyload-image';

const CI_CONFIG = new InjectionToken('ci.config');

class CIService {
    constructor(ciConfig, platformId) {
        this.platformId = platformId;
        this.isSsr = false;
        this.config = {};
        this.isSsr = isPlatformServer(this.platformId);
        const { token = '', domain = ciConfig.customDomain ? ciConfig.customDomain : 'cloudimg.io', customDomain = false, lazyLoading = true, lazyLoadOffset = 100, placeholderBackground = '#f4f4f4', baseUrl, baseURL, apiVersion = 'v7', presets, ratio = 1.5, params = 'org_if_sml=1', imageSizeAttributes = 'use', exactSize = false, doNotReplaceURL = false, limitFactor = 100, devicePixelRatioList = CONSTANTS.DEVICE_PIXEL_RATIO_LIST, lowQualityPreview: { minImgWidth = 250 } = {}, autoAlt = false, delay, } = ciConfig;
        this.config = {
            token,
            domain,
            customDomain,
            lazyLoading,
            lazyLoadOffset,
            placeholderBackground,
            baseURL: baseUrl || baseURL,
            ratio,
            exactSize,
            presets: presets
                ? presets
                : {
                    xs: '(max-width: 575px)',
                    sm: '(min-width: 576px)',
                    md: '(min-width: 768px)',
                    lg: '(min-width: 992px)',
                    xl: '(min-width: 1200px)', // from 1200    USUALSCREEN
                },
            params: processParams(params),
            apiVersion,
            previewQualityFactor: 10,
            doNotReplaceURL,
            devicePixelRatioList,
            limitFactor,
            minLowQualityWidth: minImgWidth,
            imageSizeAttributes,
            autoAlt,
            delay,
        };
    }
    getWindowInnerWidth() {
        return this.isSsr ? 1000 : window.innerWidth;
    }
}
CIService.ɵfac = function CIService_Factory(t) { return new (t || CIService)(i0.ɵɵinject(CI_CONFIG), i0.ɵɵinject(PLATFORM_ID)); };
CIService.ɵprov = /*@__PURE__*/ i0.ɵɵdefineInjectable({ token: CIService, factory: CIService.ɵfac, providedIn: 'root' });
(function () {
    (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(CIService, [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], function () {
        return [{ type: undefined, decorators: [{
                        type: Inject,
                        args: [CI_CONFIG]
                    }] }, { type: Object, decorators: [{
                        type: Inject,
                        args: [PLATFORM_ID]
                    }] }];
    }, null);
})();

const _c0 = ["imgElem"];
function ImgComponent_ng_container_0_Template(rf, ctx) {
    if (rf & 1) {
        i0.ɵɵelementContainer(0);
    }
}
function ImgComponent_ng_template_1_ng_container_0_Template(rf, ctx) {
    if (rf & 1) {
        const _r10 = i0.ɵɵgetCurrentView();
        i0.ɵɵelementContainerStart(0);
        i0.ɵɵelementStart(1, "img", 5, 6);
        i0.ɵɵlistener("load", function ImgComponent_ng_template_1_ng_container_0_Template_img_load_1_listener($event) { i0.ɵɵrestoreView(_r10); const ctx_r9 = i0.ɵɵnextContext(2); return i0.ɵɵresetView(!ctx_r9.isSsr && ctx_r9.onImageLoad($event)); });
        i0.ɵɵelementEnd();
        i0.ɵɵelementContainerEnd();
    }
    if (rf & 2) {
        const ctx_r5 = i0.ɵɵnextContext(2);
        i0.ɵɵadvance(1);
        i0.ɵɵclassMap(ctx_r5.pictureClassName);
        i0.ɵɵproperty("ngStyle", ctx_r5.imageStyles)("alt", ctx_r5.pictureAlt)("src", !ctx_r5.isSsr ? ctx_r5.cloudimgURL : null, i0.ɵɵsanitizeUrl)("srcset", ctx_r5.getcloudimgSRCSET(), i0.ɵɵsanitizeUrl);
    }
}
function ImgComponent_ng_template_1_ng_template_1_Template(rf, ctx) {
    if (rf & 1) {
        const _r13 = i0.ɵɵgetCurrentView();
        i0.ɵɵelementStart(0, "img", 7, 6);
        i0.ɵɵlistener("load", function ImgComponent_ng_template_1_ng_template_1_Template_img_load_0_listener($event) { i0.ɵɵrestoreView(_r13); const ctx_r12 = i0.ɵɵnextContext(2); return i0.ɵɵresetView(!ctx_r12.isSsr && ctx_r12.onImageLoad($event)); });
        i0.ɵɵelementEnd();
    }
    if (rf & 2) {
        const ctx_r7 = i0.ɵɵnextContext(2);
        i0.ɵɵclassMap(ctx_r7.pictureClassName);
        i0.ɵɵproperty("ngStyle", ctx_r7.imageStyles)("alt", ctx_r7.pictureAlt)("lazyLoad", !ctx_r7.isSsr ? ctx_r7.getcloudimgSRCSET() : null)("offset", ctx_r7.offset)("useSrcset", true);
    }
}
function ImgComponent_ng_template_1_Template(rf, ctx) {
    if (rf & 1) {
        i0.ɵɵtemplate(0, ImgComponent_ng_template_1_ng_container_0_Template, 3, 6, "ng-container", 3);
        i0.ɵɵtemplate(1, ImgComponent_ng_template_1_ng_template_1_Template, 2, 7, "ng-template", null, 4, i0.ɵɵtemplateRefExtractor);
    }
    if (rf & 2) {
        const _r6 = i0.ɵɵreference(2);
        const ctx_r2 = i0.ɵɵnextContext();
        i0.ɵɵproperty("ngIf", !ctx_r2.isLazyLoadingMode)("ngIfElse", _r6);
    }
}
function ImgComponent_ng_template_3_ng_container_2_div_1_Template(rf, ctx) {
    if (rf & 1) {
        const _r20 = i0.ɵɵgetCurrentView();
        i0.ɵɵelementStart(0, "div", 8)(1, "img", 12);
        i0.ɵɵlistener("load", function ImgComponent_ng_template_3_ng_container_2_div_1_Template_img_load_1_listener($event) { i0.ɵɵrestoreView(_r20); const ctx_r19 = i0.ɵɵnextContext(3); return i0.ɵɵresetView(ctx_r19.onPreviewLoaded($event)); });
        i0.ɵɵelementEnd()();
    }
    if (rf & 2) {
        const ctx_r18 = i0.ɵɵnextContext(3);
        i0.ɵɵproperty("ngStyle", ctx_r18.previewWrapperStyles);
        i0.ɵɵadvance(1);
        i0.ɵɵproperty("ngStyle", ctx_r18.previewImgStyles)("src", ctx_r18.previewCloudimgURL, i0.ɵɵsanitizeUrl);
    }
}
function ImgComponent_ng_template_3_ng_container_2_Template(rf, ctx) {
    if (rf & 1) {
        const _r22 = i0.ɵɵgetCurrentView();
        i0.ɵɵelementContainerStart(0);
        i0.ɵɵtemplate(1, ImgComponent_ng_template_3_ng_container_2_div_1_Template, 2, 3, "div", 10);
        i0.ɵɵelementStart(2, "img", 11);
        i0.ɵɵlistener("load", function ImgComponent_ng_template_3_ng_container_2_Template_img_load_2_listener($event) { i0.ɵɵrestoreView(_r22); const ctx_r21 = i0.ɵɵnextContext(2); return i0.ɵɵresetView(!ctx_r21.isSsr && ctx_r21.onImageLoad($event)); });
        i0.ɵɵelementEnd();
        i0.ɵɵelementContainerEnd();
    }
    if (rf & 2) {
        const ctx_r15 = i0.ɵɵnextContext(2);
        i0.ɵɵadvance(1);
        i0.ɵɵproperty("ngIf", ctx_r15.preview && ctx_r15.operation !== "bound");
        i0.ɵɵadvance(1);
        i0.ɵɵproperty("alt", ctx_r15.pictureAlt)("ngStyle", ctx_r15.imgStyles)("src", !ctx_r15.isSsr ? ctx_r15.cloudimgURL : null, i0.ɵɵsanitizeUrl)("srcset", ctx_r15.getcloudimgSRCSET(), i0.ɵɵsanitizeUrl);
    }
}
function ImgComponent_ng_template_3_ng_template_3_div_0_Template(rf, ctx) {
    if (rf & 1) {
        const _r25 = i0.ɵɵgetCurrentView();
        i0.ɵɵelementStart(0, "div", 8)(1, "img", 14);
        i0.ɵɵlistener("load", function ImgComponent_ng_template_3_ng_template_3_div_0_Template_img_load_1_listener($event) { i0.ɵɵrestoreView(_r25); const ctx_r24 = i0.ɵɵnextContext(3); return i0.ɵɵresetView(ctx_r24.onPreviewLoaded($event)); });
        i0.ɵɵelementEnd()();
    }
    if (rf & 2) {
        const ctx_r23 = i0.ɵɵnextContext(3);
        i0.ɵɵproperty("ngStyle", ctx_r23.previewWrapperStyles);
        i0.ɵɵadvance(1);
        i0.ɵɵproperty("ngStyle", ctx_r23.previewImgStyles)("lazyLoad", ctx_r23.previewCloudimgURL)("offset", ctx_r23.offset);
    }
}
function ImgComponent_ng_template_3_ng_template_3_Template(rf, ctx) {
    if (rf & 1) {
        const _r27 = i0.ɵɵgetCurrentView();
        i0.ɵɵtemplate(0, ImgComponent_ng_template_3_ng_template_3_div_0_Template, 2, 4, "div", 10);
        i0.ɵɵelementStart(1, "img", 13);
        i0.ɵɵlistener("load", function ImgComponent_ng_template_3_ng_template_3_Template_img_load_1_listener($event) { i0.ɵɵrestoreView(_r27); const ctx_r26 = i0.ɵɵnextContext(2); return i0.ɵɵresetView(!ctx_r26.isSsr && ctx_r26.onImageLoad($event)); });
        i0.ɵɵelementEnd();
    }
    if (rf & 2) {
        const ctx_r17 = i0.ɵɵnextContext(2);
        i0.ɵɵproperty("ngIf", ctx_r17.preview && ctx_r17.operation !== "bound");
        i0.ɵɵadvance(1);
        i0.ɵɵproperty("alt", ctx_r17.pictureAlt)("ngStyle", ctx_r17.imgStyles)("lazyLoad", !ctx_r17.isSsr ? ctx_r17.getcloudimgSRCSET() : null)("offset", ctx_r17.offset)("useSrcset", true);
    }
}
function ImgComponent_ng_template_3_Template(rf, ctx) {
    if (rf & 1) {
        i0.ɵɵelementStart(0, "div", 8, 6);
        i0.ɵɵtemplate(2, ImgComponent_ng_template_3_ng_container_2_Template, 3, 5, "ng-container", 3);
        i0.ɵɵelementEnd();
        i0.ɵɵtemplate(3, ImgComponent_ng_template_3_ng_template_3_Template, 2, 6, "ng-template", null, 9, i0.ɵɵtemplateRefExtractor);
    }
    if (rf & 2) {
        const _r16 = i0.ɵɵreference(4);
        const ctx_r4 = i0.ɵɵnextContext();
        i0.ɵɵclassMap(ctx_r4.pictureClassName);
        i0.ɵɵproperty("ngStyle", ctx_r4.pictureStyles);
        i0.ɵɵadvance(2);
        i0.ɵɵproperty("ngIf", !ctx_r4.isLazyLoadingMode)("ngIfElse", _r16);
    }
}
class ImgComponent {
    constructor(ciService, platformId) {
        this.ciService = ciService;
        this.platformId = platformId;
        this.class = '';
        this.src = '';
        this.doNotReplaceURL = this.ciService.config.doNotReplaceURL;
        this.disableAnimation = false;
        this.params = this.ciService.config.params;
        this.lazyLoading = this.ciService.config.lazyLoading;
        this.autoAlt = false;
        this.placeholderBackground = this.ciService.config.placeholderBackground;
        this.offset = this.ciService.config.lazyLoadOffset;
        this.onImgLoad = new EventEmitter();
        // Internal states
        this.lowQualityPreview = true;
        this.loaded = false;
        this.previewLoaded = false;
        this.processed = false;
        this.cloudimgURL = '';
        this.delay = this.ciService.config.delay;
        this.isSsr = isPlatformServer(this.platformId);
        this.windowInnerWidthOld = this.ciService.getWindowInnerWidth();
    }
    get isLazyLoadingMode() {
        if (this.isSsr) {
            return false;
        }
        return this.lazyLoading;
    }
    ngOnDestroy() {
        if (!this.isSsr) {
            this.resizeSubscription.unsubscribe();
        }
    }
    ngOnInit() {
        if (!this.isSsr) {
            this.resizeObservable$ = fromEvent(window, 'resize').pipe(debounceTime(500));
            this.resizeSubscription = this.resizeObservable$.subscribe(() => {
                const windowInnerWidth = this.ciService.getWindowInnerWidth();
                this.processImage(true, this.windowInnerWidthOld < windowInnerWidth);
                this.windowInnerWidthOld = windowInnerWidth;
            });
        }
    }
    ngOnChanges(changes) {
        const srcChanged = changes.src &&
            changes.src.previousValue !== changes.src.currentValue &&
            !changes.src.firstChange;
        const ratioChanged = changes.ratio &&
            changes.ratio.previousValue !== changes.ratio.currentValue &&
            !changes.ratio.firstChange;
        if (srcChanged || ratioChanged) {
            this.processImage();
        }
    }
    ngAfterViewInit() {
        if (!this.isSsr) {
            setTimeout(() => {
                this.processImage();
            }, this.delay);
        }
        else {
            this.processImage();
        }
    }
    onImageLoad(event) {
        this.updateLoadedImageSize(event.target);
        this.loaded = true;
        this.onImgLoad.emit(event);
    }
    onPreviewLoaded(event) {
        if (this.previewLoaded)
            return;
        this.updateLoadedImageSize(event.target);
        this.previewLoaded = true;
    }
    getcloudimgSRCSET() {
        if (this.cloudimgSRCSET && !this.isSsr) {
            return this.cloudimgSRCSET
                .map(({ dpr, url }) => `${url} ${dpr}x`)
                .join(', ');
        }
        return null;
    }
    get pictureAlt() {
        return (!this.alt && this.autoAlt ? this.getAlt(this.src) : this.alt) || '';
    }
    get previewWrapperStyles() {
        return imgStyles.previewWrapper();
    }
    get imgStyles() {
        return Object.assign(Object.assign({}, imgStyles.img({
            preview: this.preview,
            loaded: this.loaded,
            operation: this.operation,
        })), { transition: 'transform 400ms ease 0ms' });
    }
    get imageStyles() {
        return imgStyles.image({
            preserveSize: this.preserveSize,
            imgNodeWidth: this.width,
            imgNodeHeight: this.height,
            operation: this.operation,
        });
    }
    get previewImgStyles() {
        return Object.assign(Object.assign({}, imgStyles.previewImg({
            loaded: this.loaded,
            operation: this.operation,
        })), { transition: 'opacity 400ms ease' });
    }
    get pictureStyles() {
        var _a;
        return imgStyles.picture({
            preserveSize: this.preserveSize,
            imgNodeWidth: this.width,
            imgNodeHeight: this.height,
            ratio: this.ratio || ((_a = this.loadedImageDim) === null || _a === void 0 ? void 0 : _a.ratio),
            previewLoaded: this.previewLoaded,
            loaded: this.loaded,
            placeholderBackground: this.placeholderBackground,
            operation: this.operation,
        });
    }
    get pictureClassName() {
        return `${this.class} cloudimage-image ${this.loaded ? 'loaded' : 'loading'}`.trim();
    }
    updateLoadedImageSize(image) {
        this.loadedImageDim = {
            width: image.naturalWidth,
            height: image.naturalHeight,
            ratio: image.naturalWidth / image.naturalHeight,
        };
    }
    getAlt(name) {
        if (!name)
            return;
        const index = name.indexOf('.');
        return name.slice(0, index);
    }
    getProps() {
        return {
            src: this.src,
            width: this.width,
            height: this.height,
            ratio: this.ratio,
            params: this.params,
            sizes: this.sizes,
            doNotReplaceURL: this.doNotReplaceURL,
            config: this.ciService.config,
        };
    }
    processImage(update = false, windowScreenBecomesBigger = false) {
        const imgNode = this.imgElem.nativeElement;
        const data = processReactNode(this.getProps(), imgNode, update, windowScreenBecomesBigger);
        if (data) {
            this.cloudimgURL = data.cloudimgURL;
            this.previewCloudimgURL = data.previewCloudimgURL;
            (this.cloudimgSRCSET = data.cloudimgSRCSET),
                (this.processed = data.processed);
            this.preview = data.preview;
            this.operation = data.operation;
        }
    }
}
ImgComponent.ɵfac = function ImgComponent_Factory(t) { return new (t || ImgComponent)(i0.ɵɵdirectiveInject(CIService), i0.ɵɵdirectiveInject(PLATFORM_ID)); };
ImgComponent.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: ImgComponent, selectors: [["ci-img"]], viewQuery: function ImgComponent_Query(rf, ctx) {
        if (rf & 1) {
            i0.ɵɵviewQuery(_c0, 5);
        }
        if (rf & 2) {
            let _t;
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.imgElem = _t.first);
        }
    }, inputs: { class: "class", alt: "alt", src: "src", doNotReplaceURL: "doNotReplaceURL", disableAnimation: "disableAnimation", width: "width", height: "height", params: "params", sizes: "sizes", ratio: "ratio", lazyLoading: "lazyLoading", autoAlt: "autoAlt", placeholderBackground: "placeholderBackground", offset: "offset", preserveSize: "preserveSize", operation: "operation" }, outputs: { onImgLoad: "onImgLoad" }, features: [i0.ɵɵNgOnChangesFeature], decls: 5, vars: 3, consts: [[4, "ngIf", "ngIfThen", "ngIfElse"], ["plainImageTpl", ""], ["pictureTpl", ""], [4, "ngIf", "ngIfElse"], ["lazyLoadPlainImageTpl", ""], [2, "display", "block", 3, "ngStyle", "alt", "src", "srcset", "load"], ["imgElem", ""], [2, "display", "block", 3, "ngStyle", "alt", "lazyLoad", "offset", "useSrcset", "load"], [3, "ngStyle"], ["lazyLoadPictureTpl", ""], [3, "ngStyle", 4, "ngIf"], [3, "alt", "ngStyle", "src", "srcset", "load"], ["alt", "low quality preview", 1, "cloudimage-preview-image", 3, "ngStyle", "src", "load"], [3, "alt", "ngStyle", "lazyLoad", "offset", "useSrcset", "load"], ["alt", "low quality preview", 1, "cloudimage-preview-image", 3, "ngStyle", "lazyLoad", "offset", "load"]], template: function ImgComponent_Template(rf, ctx) {
        if (rf & 1) {
            i0.ɵɵtemplate(0, ImgComponent_ng_container_0_Template, 1, 0, "ng-container", 0);
            i0.ɵɵtemplate(1, ImgComponent_ng_template_1_Template, 3, 2, "ng-template", null, 1, i0.ɵɵtemplateRefExtractor);
            i0.ɵɵtemplate(3, ImgComponent_ng_template_3_Template, 5, 5, "ng-template", null, 2, i0.ɵɵtemplateRefExtractor);
        }
        if (rf & 2) {
            const _r1 = i0.ɵɵreference(2);
            const _r3 = i0.ɵɵreference(4);
            i0.ɵɵproperty("ngIf", ctx.disableAnimation)("ngIfThen", _r1)("ngIfElse", _r3);
        }
    }, dependencies: [i2.NgIf, i2.NgStyle, i3.LazyLoadImageDirective], encapsulation: 2 });
(function () {
    (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(ImgComponent, [{
            type: Component,
            args: [{ selector: 'ci-img', template: "<ng-container\n  *ngIf=\"disableAnimation; then plainImageTpl; else pictureTpl\"\n></ng-container>\n\n<ng-template #plainImageTpl>\n  <ng-container *ngIf=\"!isLazyLoadingMode; else lazyLoadPlainImageTpl\">\n    <img\n      #imgElem\n      [class]=\"pictureClassName\"\n      style=\"display: block\"\n      [ngStyle]=\"imageStyles\"\n      [alt]=\"pictureAlt\"\n      [src]=\"!isSsr ? cloudimgURL : null\"\n      [srcset]=\"getcloudimgSRCSET()\"\n      (load)=\"!isSsr && onImageLoad($event)\"\n    />\n  </ng-container>\n  <ng-template #lazyLoadPlainImageTpl>\n    <img\n      #imgElem\n      [class]=\"pictureClassName\"\n      style=\"display: block\"\n      [ngStyle]=\"imageStyles\"\n      [alt]=\"pictureAlt\"\n      [lazyLoad]=\"!isSsr ? getcloudimgSRCSET() : null\"\n      [offset]=\"offset\"\n      [useSrcset]=\"true\"\n      (load)=\"!isSsr && onImageLoad($event)\"\n    />\n  </ng-template>\n</ng-template>\n\n<ng-template #pictureTpl>\n  <div #imgElem [class]=\"pictureClassName\" [ngStyle]=\"pictureStyles\">\n    <ng-container *ngIf=\"!isLazyLoadingMode; else lazyLoadPictureTpl\">\n      <div\n        *ngIf=\"preview && operation !== 'bound'\"\n        [ngStyle]=\"previewWrapperStyles\"\n      >\n        <img\n          [ngStyle]=\"previewImgStyles\"\n          [src]=\"previewCloudimgURL\"\n          (load)=\"onPreviewLoaded($event)\"\n          alt=\"low quality preview\"\n          class=\"cloudimage-preview-image\"\n        />\n      </div>\n      <img\n        [alt]=\"pictureAlt\"\n        [ngStyle]=\"imgStyles\"\n        [src]=\"!isSsr ? cloudimgURL : null\"\n        [srcset]=\"getcloudimgSRCSET()\"\n        (load)=\"!isSsr && onImageLoad($event)\"\n      />\n    </ng-container>\n  </div>\n\n  <ng-template #lazyLoadPictureTpl>\n    <div\n      *ngIf=\"preview && operation !== 'bound'\"\n      [ngStyle]=\"previewWrapperStyles\"\n    >\n      <img\n        [ngStyle]=\"previewImgStyles\"\n        [lazyLoad]=\"previewCloudimgURL\"\n        [offset]=\"offset\"\n        (load)=\"onPreviewLoaded($event)\"\n        alt=\"low quality preview\"\n        class=\"cloudimage-preview-image\"\n      />\n    </div>\n    <img\n      [alt]=\"pictureAlt\"\n      [ngStyle]=\"imgStyles\"\n      [lazyLoad]=\"!isSsr ? getcloudimgSRCSET() : null\"\n      [offset]=\"offset\"\n      [useSrcset]=\"true\"\n      (load)=\"!isSsr && onImageLoad($event)\"\n    />\n  </ng-template>\n</ng-template>\n" }]
        }], function () {
        return [{ type: CIService }, { type: Object, decorators: [{
                        type: Inject,
                        args: [PLATFORM_ID]
                    }] }];
    }, { imgElem: [{
                type: ViewChild,
                args: ['imgElem']
            }], class: [{
                type: Input
            }], alt: [{
                type: Input
            }], src: [{
                type: Input
            }], doNotReplaceURL: [{
                type: Input
            }], disableAnimation: [{
                type: Input
            }], width: [{
                type: Input
            }], height: [{
                type: Input
            }], params: [{
                type: Input
            }], sizes: [{
                type: Input
            }], ratio: [{
                type: Input
            }], lazyLoading: [{
                type: Input
            }], autoAlt: [{
                type: Input
            }], placeholderBackground: [{
                type: Input
            }], offset: [{
                type: Input
            }], preserveSize: [{
                type: Input
            }], operation: [{
                type: Input
            }], onImgLoad: [{
                type: Output
            }] });
})();

class CIModule {
}
CIModule.ɵfac = function CIModule_Factory(t) { return new (t || CIModule)(); };
CIModule.ɵmod = /*@__PURE__*/ i0.ɵɵdefineNgModule({ type: CIModule });
CIModule.ɵinj = /*@__PURE__*/ i0.ɵɵdefineInjector({ imports: [CommonModule, LazyLoadImageModule] });
(function () {
    (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(CIModule, [{
            type: NgModule,
            args: [{
                    declarations: [ImgComponent],
                    imports: [CommonModule, LazyLoadImageModule],
                    exports: [ImgComponent],
                    providers: [],
                }]
        }], null, null);
})();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(CIModule, { declarations: [ImgComponent], imports: [CommonModule, LazyLoadImageModule], exports: [ImgComponent] }); })();

/*
 * Public API Surface of lib
 */

/**
 * Generated bundle index. Do not edit.
 */

export { CIModule, CIService, CI_CONFIG, ImgComponent };
//# sourceMappingURL=ng-cloudimage-responsive.mjs.map
