import { ElementRef, EventEmitter, SimpleChanges, OnInit, OnChanges, OnDestroy, AfterViewInit } from '@angular/core';
import { CIService } from '../lib.service';
import { Observable, Subscription } from 'rxjs';
import * as i0 from "@angular/core";
export declare class ImgComponent implements OnInit, OnChanges, AfterViewInit, OnDestroy {
    private ciService;
    private platformId;
    imgElem: ElementRef;
    class: string;
    alt: string;
    src: string;
    doNotReplaceURL: boolean;
    disableAnimation: boolean;
    width: string;
    height: string;
    params: any;
    sizes: {
        [key: string]: any;
    };
    ratio: number;
    lazyLoading: boolean;
    autoAlt: boolean;
    placeholderBackground: string;
    offset: number;
    preserveSize: boolean;
    operation: string;
    onImgLoad: EventEmitter<Event>;
    lowQualityPreview: boolean;
    loaded: boolean;
    previewLoaded: boolean;
    loadedImageDim: {
        width: number;
        height: number;
        ratio: number;
    };
    isSsr: boolean;
    processed: boolean;
    preview: boolean;
    cloudimgURL: string;
    previewCloudimgURL: string;
    cloudimgSRCSET: {
        dpr: string;
        url: any;
    }[];
    delay: number;
    resizeObservable$: Observable<Event>;
    resizeSubscription: Subscription;
    windowInnerWidthOld: number;
    get isLazyLoadingMode(): boolean;
    constructor(ciService: CIService, platformId: Object);
    ngOnDestroy(): void;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterViewInit(): void;
    onImageLoad(event: Event): void;
    onPreviewLoaded(event: Event): void;
    getcloudimgSRCSET(): string;
    get pictureAlt(): string;
    get previewWrapperStyles(): any;
    get imgStyles(): any;
    get imageStyles(): any;
    get previewImgStyles(): any;
    get pictureStyles(): any;
    get pictureClassName(): string;
    private updateLoadedImageSize;
    private getAlt;
    private getProps;
    private processImage;
    static ɵfac: i0.ɵɵFactoryDeclaration<ImgComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ImgComponent, "ci-img", never, { "class": "class"; "alt": "alt"; "src": "src"; "doNotReplaceURL": "doNotReplaceURL"; "disableAnimation": "disableAnimation"; "width": "width"; "height": "height"; "params": "params"; "sizes": "sizes"; "ratio": "ratio"; "lazyLoading": "lazyLoading"; "autoAlt": "autoAlt"; "placeholderBackground": "placeholderBackground"; "offset": "offset"; "preserveSize": "preserveSize"; "operation": "operation"; }, { "onImgLoad": "onImgLoad"; }, never, never, false>;
}
//# sourceMappingURL=img.component.d.ts.map